g722_decode_state_s Struct Reference

`#include <g722.h>`

## Public Attributes

int | itu_test_mode
int | packed
int | eight_k
int | bits_per_sample
int16_t | x [12]
int16_t | y [12]
int | ptr
g722_band_t | band [2]
uint32_t | in_buffer
int | in_bits
uint32_t | out_buffer
int | out_bits

## Detailed Description

G.722 decode state

## Member Data Documentation

## bits_per_sample

int g722_decode_state_s::bits_per_sample

6 for 48000kbps, 7 for 56000kbps, or 8 for 64000kbps.

Referenced by g722_decode(), and g722_decode_init().

## eight_k

int g722_decode_state_s::eight_k

TRUE if decode to 8k samples/second

Referenced by g722_decode(), and g722_decode_init().

## itu_test_mode

int g722_decode_state_s::itu_test_mode

TRUE if the operating in the special ITU test mode, with the band split filters disabled.

Referenced by g722_decode().

## packed

int g722_decode_state_s::packed

TRUE if the G.722 data is packed

Referenced by g722_decode(), and g722_decode_init().

## x

int16_t g722_decode_state_s::x[12]

Signal history for the QMF

Referenced by g722_decode().

The documentation for this struct was generated from the following file:

- private/g722.h